<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Document</title>
    @vite('resources/css/app.css')
    <link href="{{ asset('css/todo.css') }}" rel="stylesheet">
</head>
<body>
    @include('menu')
    <div class="w-screen h-screen grid place-items-center">
        <div class="flex">
            <input class="border-2" type="text" id="tacheInput" placeholder="Ajouter une tâche...">
            <button onclick="ajoutTache()">Ajouter</button>
        </div>
        <div id="listeTache" class="w-[30dvw] h-[70dvh] overflow-y-scroll">
            @foreach($todos as $todo)
                <div class="task" data-id="{{ $todo->id }}">
                    <input type="checkbox" onchange="toggleTaskCompletion(this.parentElement, this)">
                    <span>{{ $todo->task }}</span>
                    <button class="supp" onclick="suppTache.call(this)">Supprimer</button>
                    <button class="modif" onclick="modifTache(this.parentElement, this.previousElementSibling.previousElementSibling)">Modifier</button>
                </div>
            @endforeach
        </div>
    </div>
    <script src="{{ asset('js/todo.js')}}"></script>
</body>
</html>